<ng-container *ngIf="collections$ | async">
  <h2>Collections</h2>
  <div class="product-list">
      <div [ngClass]="{'product--active': product.active}" (click)="activateProduct(product.id)" class="product" *ngFor="let product of collections$ | async; let i = index">
          <div class="product-title">
              <h2>Collection {{product.id}}</h2>
          </div>
          <div class="product-username">
              {{product.user.username}}
          </div>
          <div class="product-thumbnail" [ngStyle]="{'background-image': 'url(' + product.urls.regular + ')'}">
          </div>
      </div>
  </div>
</ng-container>
<ng-container *ngIf="collectionsIsLoading$ | async">
    Loading products...
</ng-container>